function [g,grad_g,H] = gBeamDeflection(zVec)
deflectionAllowed = 4.15;%mm
if (nargout == 1) % vectorized
    z1 = zVec(1,:); 
    z2 = zVec(2,:);
    g = deflectionAllowed - 2.5e5./((0.25*z1 + 10).*(0.65*z2+20).^3);
end
if (nargout == 2) % not vectorized
    z1 = zVec(1);
    z2 = zVec(2);
    g = deflectionAllowed - 2.5e5./((0.25*z1 + 10).*(0.65*z2+20).^3);
    grad_g(1) = 0.625e5/((0.25*z1 + 10).^2*(0.65*z2+20)^3);
    grad_g(2) = 4.875e5/((0.25*z1 + 10)*(0.65*z2+20)^4);
end
if (nargout == 3) % not vectorized
    z1 = zVec(1);
    z2 = zVec(2);
    g = deflectionAllowed - 2.5e5./((0.25*z1 + 10).*(0.65*z2+20).^3);
    grad_g(1) = 0.625e5/((0.25*z1 + 10).^2*(0.65*z2+20)^3);
    grad_g(2) = 4.875e5/((0.25*z1 + 10)*(0.65*z2+20)^4);
    H = zeros(2,2);
    H(1,1) = -31250/((z1/4 + 10)^3*((13*z2)/20 + 20)^3);
    H(1,2) = -121875/((z1/4 + 10)^2*((13*z2)/20 + 20)^4);
    H(2,1) = H(1,2);
    H(2,2) = -1267500/((z1/4 + 10)*((13*z2)/20 + 20)^5);
end
