function [g,grad_g,H] = gBeamStress(zVec)
stressAllowed = 90;
if (nargout == 1)% vectorized
    z1 = zVec(1,:); 
    z2 = zVec(2,:);
    g = stressAllowed - 3e5./((0.25*z1 + 10).*(0.65*z2+20).^2);
end
if (nargout == 2) % not vectorized
    z1 = zVec(1);
    z2 = zVec(2);
    g = stressAllowed - 3e5/((0.25*z1 + 10)*(0.65*z2+20)^2);
    grad_g(1) = 7.5e4/((0.25*z1 + 10).^2*(0.65*z2+20)^2);
    grad_g(2) = 3.89e5/((0.25*z1 + 10)*(0.65*z2+20)^3);
end
if (nargout == 3) % not vectorized 
    z1 = zVec(1);
    z2 = zVec(2);
    g = stressAllowed - 3e5/((0.25*z1 + 10)*(0.65*z2+20)^2);
    grad_g(1) = 7.5e4/((0.25*z1 + 10).^2*(0.65*z2+20)^2);
    grad_g(2) = 3.89e5/((0.25*z1 + 10)*(0.65*z2+20)^3);

    H = zeros(2,2);
    H(1,1) = -37500/((z1/4 + 10)^3*((13*z2)/20 + 20)^2);
    H(1,2) = -97500/((z1/4 + 10)^2*((13*z2)/20 + 20)^3);
    H(2,1) = H(1,2);
    H(2,2) = -758550/((z1/4 + 10)*((13*z2)/20 + 20)^4);
end
