function [g, grad_g] = gNonlinearEx4(zVec)
if (nargout == 1) % vectorized
    z1 = zVec(1,:); 
    z2 = zVec(2,:);
    g = (7+1.5*z2) - (1+2*z1)./(1+0.2*z1);
end
if (nargout == 2) % not vectorized
    z1 = zVec(1); 
    z2 = zVec(2);
    g = (7+1.5*z2) - (1+2*z1)./(1+0.2*z1);
    grad_g(1) = (2*z1 + 1)/(5*(z1/5 + 1)^2) - 2/(z1/5 + 1);
    grad_g(2) = 1.5;
end
