function [g, grad_g] = gNonlinearEx5(zVec)
if (nargout == 1) % vectorized
    z1 = zVec(1,:); 
    z2 = zVec(2,:);
    g = (7+z1) + (3+2*z2)./(1+0.2*z2);
end
if (nargout == 2) % not vectorized
    z1 = zVec(1); 
    z2 = zVec(2);
    g = (7+z1) + (3+2*z2)./(1+0.2*z2);
    grad_g(1) = 1;
    grad_g(2) = 2/(z2/5 + 1) - (2*z2 + 1)/(5*(z2/5 + 1)^2);
end

