function [g, grad_g] = gOrFunction(zVec)

% Smooth approximation of min function
[g1,grad_g1] = gNonlinearEx4(zVec);
[g2,grad_g2] = gNonlinearEx5(zVec);

g = g1 + g2 - sqrt(g1.^2 + g2.^2);
grad_g(1) = grad_g1(1) + grad_g2(1)  -( g1* grad_g1(1) +  g2* grad_g2(1))/sqrt(g1.^2 + g2.^2);
grad_g(2) = grad_g1(2) + grad_g2(2)  -( g1* grad_g1(2) +  g2* grad_g2(2))/sqrt(g1.^2 + g2.^2);

