function [F,x] = Triangle_CDF(a,b)
% For the symmetric triangle distribution over the interval [a,b], 
% compute the cumulative distribution function 
if (nargin == 2) % if x is not given, sample over the interval
    offset = (b-a)/10;
    x = a-offset:(b-a)/1000:b+offset;
end
% find the constant
A = 4/(b-a)^2;
midPoint = (a+b)/2;
% vectorized
F = (x<a).*0 + (x>=a).*(x<=midPoint).*A.*((x.^2-a^2)/2-a*(x-a)) + ...
    (x>=midPoint).*(x<b).*(0.5+A*(b*(x-midPoint)-(x.^2-midPoint^2)/2)) + (x>=b).*1;
