function [f,x] = Normal_PDF(mu,sigma,x)
% For the normal distribution, given mu and sigma
% return the distribution function and sampled x
if (nargin == 0)
    mu = 0;
    sigma = 1;
    x = -3:0.01:3;
end
if (nargin == 2)
    deltaX = 8*sigma/1000;
    x = mu-4*sigma:deltaX:mu+4*sigma;
end
f = (1./(sqrt(2*pi)*sigma))*exp(-(x-mu).^2/(2*sigma^2));
