close all
angles = 90:2:270;
YLocation = zeros(1,numel(angles));
idealY = 4.0049;
maxY = 4.15;
minY = 3.9;

L0 =[1 2.5 2.5 2 2.5]; % nominal 
N = 5000;
sigmaL  = zeros(1,5);
for i = 1:5
    sigmaL(i) = 0.025*L0(i); % assume same coefficient for alll for simplicity
end
rho = zeros(5,5);

for i = 1:5
    for j = i+1:5
        rho(i,j) = U_Sampling(0,1,1);
    end
    for j = 1:i-1
        rho(i,j) = rho(j,i);
    end
    rho(i,i) = 1.0;
end
% random rho?
Sigma = zeros(5,5);
for i = 1:5
    for j = 1:5
        Sigma(i,j) = sigmaL(i)*sigmaL(j)*rho(i,j);
    end
end
Sigma = (Sigma+Sigma')/2;
return;
[L,SigmaHat] = ldl(Sigma);
for i = 1:5
    L1HatSamples(i) = N_Sampling(L0(i),sqrt(SigmaHat(i,i)),N);
end
return;

nf = 0;
for n = 1:N
    L = L0;
    L(1) = L1Samples(n);
    L(2) = L2Samples(n);
    L(3) = L3Samples(n);
    L(4) = L4Samples(n);
    L(5) = L5Samples(n);

    for i = 1:numel(angles)
        P = HoekensLinkage(angles(i)*pi/180,L);
        YLocation = P(2,5);
    end
 
    if ( (max(YLocation) > maxY) || (min(YLocation) < minY)) 
        
        nf = nf + 1;
    end
end
pf = nf/N